org.apache.felix.framework.util

## Class ClassFileVisitor

- java.lang.Object
- - java.nio.file.SimpleFileVisitor<Path>
  - - org.apache.felix.framework.util.ClassFileVisitor

All Implemented Interfaces:
  FileVisitor<Path>

    @IgnoreJRERequirement
    public class ClassFileVisitor
    extends SimpleFileVisitor<Path>

### Constructor Summary

Constructors
Constructor and Description
`ClassFileVisitor(Set<String> imports, Set<String> exports, ClassParser classParser, SortedMap<String,SortedSet<String>> result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileVisitResult` `visitFile(Path file, BasicFileAttributes attrs)`

### Methods inherited from class java.nio.file.SimpleFileVisitor

`postVisitDirectory, preVisitDirectory, visitFileFailed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassFileVisitor

    public ClassFileVisitor(Set<String> imports,
                            Set<String> exports,
                            ClassParser classParser,
                            SortedMap<String,SortedSet<String>> result)

### Method Detail

#### visitFile

    public FileVisitResult visitFile(Path file,
                                     BasicFileAttributes attrs)
                              throws IOException

Specified by:
  `visitFile` in interface `FileVisitor<Path>`
Overrides:
  `visitFile` in class `SimpleFileVisitor<Path>`
Throws:
  `IOException`